Register Arama Bugünkü Mesajlar Tüm Forumu Okundu Say

Reply
 
Thread Tools
Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0)
vB.Org Poster
vB.Org Poster has disabled reputation
Kayıt Tarihi: Jul 2018
Mesajlar: 298

Show Printable Version Email this Page
Makale: vBulletin 3 Makaleleri, yazan vB.Org Poster 10 Jul 2018, 18:29

In vBulletin 4, the developers recently upgraded the bundled YUI version to 2.9.0 from 2.7.0. Since vB 3.8 is EOL, I found a way to manually update the bundled YUI version. I've tested vB 3.8 with YUI 2.9.0 as much as I could, and did not run into any problems.

Changes since 2.7.0 (mainly "Animation", "Connection", "DragDrop/Drag & Drop", "Yahoo"):

2.9.0: YUI 2 API Docs and Archives
2.8.0: YUI 2 API Docs and Archives

2.9.0 contains fixes for IE9, among others.

There is not a way to move from 2.x to 3.x yet for YUI given the extensive amount of changes that would be needed in vBulletin... maybe one day.

Anyway, to update, follow these steps:
  1. Backup your current YUI folder. It is located at /clientscript/yui/.
  2. Download YUI 2's latest version (currently 2.9.0) by going to: Yahoo Developer Network - you need to select "Full Developer Kit".
  3. Once downloaded, extract to your hard drive.
  4. Open the resulting /yui_2.9.0/yui/ folder (or the version you downloaded) and find the build folder.
  5. Copy the following files to your forum root. You will need to allow them to overwrite.

    Kod Blok Kilitli:      (Kayıt veya giriş yapmalısın)  
    Engellenmiş, kayıtlı olmayan veya onay bekleyen kişiler kodlara erişemezler.

  6. Edit /includes/class_core.php and find:

    Kod Blok Kilitli:      (Kayıt veya giriş yapmalısın)  
    Engellenmiş, kayıtlı olmayan veya onay bekleyen kişiler kodlara erişemezler.

    replace with:

    Kod Blok Kilitli:      (Kayıt veya giriş yapmalısın)  
    Engellenmiş, kayıtlı olmayan veya onay bekleyen kişiler kodlara erişemezler.

    save.

And there you go, you have the latest and greatest YUI 2.x.
Views: 39
Reply With Quote
Reply

Thread Tools

Şunları Yapabilirsin
Yeni Konu Açmak
Konuya Cevap Yazmak
Eklenti Eklemek
Düzenleme Yapabilmek

Forum Atla


LD'de Yeni misin? Yardıma mı ihtiyacın var?

All times are GMT +3. The time now is 03:34.

Tasarım Özelliği | Genişlik: Geniş Renk: Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0) Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0) Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0) Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0) Updating YUI for vBulletin 3.8 (YUI 2 currently 2.9.0)